# eric4.Debugger.VariableDetailDialog

Module implementing the variable detail dialog.

### Global Attributes

None

### Classes

VariableDetailDialog | Class implementing the variable detail dialog.

### Functions

None

## VariableDetailDialog

Class implementing the variable detail dialog.

This dialog shows the name, the type and the value of a variable in a read only dialog. It is opened upon a double click in the variables viewer widget.

### Derived from

QDialog, Ui_VariableDetailDialog

### Class Attributes

None

### Class Methods

None

### Methods

VariableDetailDialog | Constructor

### Static Methods

None

#### VariableDetailDialog (Constructor)

VariableDetailDialog(var, vtype, value)

Constructor

var
  the variables name (string or QString)
vtype
  the variables type (string or QString)
value
  the variables value (string or QString)

Up